'''Wrappers for Guppi's plotting plug-ins. Most of this file is autogenerated.
'''

import _guppi
from Guppi import *

class LazyModule:
    '''This class is needed to implement lazy loading of plugins.
    To facilitate the use of a module M, we create a LazyModule with name
    "M". When someone tries to access object M.x, the LazyModule instance
    imports the _real_ module M, gives up its ownership of the name M to 
    the new module M, and then fulfills the original request.

    Note that this only works in the same namespace, so you can't
    import this module and then use LazyModule in another namespace 
    and expect it to work.
        
    name = name of the real module.'''
        
    def __init__(self, name):
	self.name = name
    def __getattr__(self, attr):
        self.initModule()
	exec ('''import %(m)s
_x=%(m)s
global %(m)s
%(m)s = _x''' % {'m' : self.name})
	return getattr(_x, attr)

    def initModule(self):
        '''overload this method to initialize the module'''
        pass


class LazyPluginModule(LazyModule):
    '''A LazyModule which initializes a Guppi plugin and loads its module.'''
    def __init__(self, name, plugin_type, plugin_code):
        LazyModule.__init__(self, name)
        self.plugin_type = plugin_type
        self.plugin_code = plugin_code
        
    def initModule(self):
        _guppi.load_plug_in(self.plugin_type, self.plugin_code)
_g_axis = LazyPluginModule('_g_axis', 'plot', 'axis')

class GuppiAxisState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_axis.guppi_axis_state_new()
        
    def position(self, ):
        """Autogenerated from C function:
           compass guppi_axis_state_position(self, )"""
        
        _ret = _g_axis.guppi_axis_state_position(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def horizontal(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_horizontal(self, )"""
        
        _ret = _g_axis.guppi_axis_state_horizontal(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def vertical(self, ):
        """Autogenerated from C function:
           compass guppi_axis_state_vertical(self, )"""
        
        _ret = _g_axis.guppi_axis_state_vertical(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_edge(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_edge(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_edge(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def edge_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_edge_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_edge_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def edge_thickness(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_edge_thickness(self, )"""
        
        _ret = _g_axis.guppi_axis_state_edge_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_legend(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_legend(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_legend(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def legend(self, ):
        """Autogenerated from C function:
           const_string guppi_axis_state_legend(self, )"""
        
        _ret = _g_axis.guppi_axis_state_legend(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def legend_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_legend_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_legend_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def legend_offset(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_legend_offset(self, )"""
        
        _ret = _g_axis.guppi_axis_state_legend_offset(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def label_offset(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_label_offset(self, )"""
        
        _ret = _g_axis.guppi_axis_state_label_offset(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def rotate_labels(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_rotate_labels(self, )"""
        
        _ret = _g_axis.guppi_axis_state_rotate_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def shrink_labels_to_fit(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_shrink_labels_to_fit(self, )"""
        
        _ret = _g_axis.guppi_axis_state_shrink_labels_to_fit(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_major_ticks(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_major_ticks(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_major_ticks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_tick_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_major_tick_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_major_tick_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_tick_thickness(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_major_tick_thickness(self, )"""
        
        _ret = _g_axis.guppi_axis_state_major_tick_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_tick_length(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_major_tick_length(self, )"""
        
        _ret = _g_axis.guppi_axis_state_major_tick_length(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_major_labels(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_major_labels(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_major_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_label_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_major_label_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_major_label_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_minor_ticks(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_minor_ticks(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_minor_ticks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_tick_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_minor_tick_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_minor_tick_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_tick_thickness(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_minor_tick_thickness(self, )"""
        
        _ret = _g_axis.guppi_axis_state_minor_tick_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_tick_length(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_minor_tick_length(self, )"""
        
        _ret = _g_axis.guppi_axis_state_minor_tick_length(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_minor_labels(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_minor_labels(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_minor_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_label_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_minor_label_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_minor_label_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_micro_ticks(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_micro_ticks(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_micro_ticks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_tick_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_micro_tick_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_micro_tick_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_tick_thickness(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_micro_tick_thickness(self, )"""
        
        _ret = _g_axis.guppi_axis_state_micro_tick_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_tick_length(self, ):
        """Autogenerated from C function:
           double guppi_axis_state_micro_tick_length(self, )"""
        
        _ret = _g_axis.guppi_axis_state_micro_tick_length(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_micro_labels(self, ):
        """Autogenerated from C function:
           bool guppi_axis_state_show_micro_labels(self, )"""
        
        _ret = _g_axis.guppi_axis_state_show_micro_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_label_color(self, ):
        """Autogenerated from C function:
           color guppi_axis_state_micro_label_color(self, )"""
        
        _ret = _g_axis.guppi_axis_state_micro_label_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_position(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_position(self, compass x)"""
        
        _ret = _g_axis.guppi_axis_state_set_position(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_edge(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_edge(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_edge(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_edge_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_edge_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_edge_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_edge_thickness(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_edge_thickness(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_edge_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_legend(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_legend(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_legend(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_legend(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_legend(self, string x)"""
        
        _ret = _g_axis.guppi_axis_state_set_legend(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_legend_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_legend_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_legend_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_legend_offset(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_legend_offset(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_legend_offset(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_label_offset(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_label_offset(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_label_offset(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_rotate_labels(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_rotate_labels(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_rotate_labels(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_shrink_labels_to_fit(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_shrink_labels_to_fit(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_shrink_labels_to_fit(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_major_ticks(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_major_ticks(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_major_ticks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_tick_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_major_tick_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_major_tick_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_tick_thickness(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_major_tick_thickness(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_major_tick_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_tick_length(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_major_tick_length(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_major_tick_length(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_major_labels(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_major_labels(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_major_labels(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_label_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_major_label_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_major_label_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_minor_ticks(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_minor_ticks(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_minor_ticks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_tick_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_minor_tick_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_minor_tick_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_tick_thickness(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_minor_tick_thickness(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_minor_tick_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_tick_length(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_minor_tick_length(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_minor_tick_length(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_minor_labels(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_minor_labels(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_minor_labels(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_label_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_minor_label_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_minor_label_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_micro_ticks(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_micro_ticks(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_micro_ticks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_tick_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_micro_tick_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_micro_tick_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_tick_thickness(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_micro_tick_thickness(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_micro_tick_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_tick_length(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_micro_tick_length(self, double x)"""
        
        _ret = _g_axis.guppi_axis_state_set_micro_tick_length(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_micro_labels(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_show_micro_labels(self, bool x)"""
        
        _ret = _g_axis.guppi_axis_state_set_show_micro_labels(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_label_color(self, x):
        """Autogenerated from C function:
           none guppi_axis_state_set_micro_label_color(self, color x)"""
        
        _ret = _g_axis.guppi_axis_state_set_micro_label_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiAxisView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        


def axis_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_axis_state_new()"""
    _ret = _g_axis.guppi_axis_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_barchart = LazyPluginModule('_g_barchart', 'plot', 'barchart')

class GuppiBarchartView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiBarchartState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_barchart.guppi_barchart_state_new()
        
    def data(self, ):
        """Autogenerated from C function:
           GuppiData guppi_barchart_state_data(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def row_labels(self, ):
        """Autogenerated from C function:
           GuppiSeqString guppi_barchart_state_row_labels(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_row_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def column_labels(self, ):
        """Autogenerated from C function:
           GuppiSeqString guppi_barchart_state_column_labels(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_column_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def column_styles(self, ):
        """Autogenerated from C function:
           GuppiSeqStyle guppi_barchart_state_column_styles(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_column_styles(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def stacked(self, ):
        """Autogenerated from C function:
           bool guppi_barchart_state_stacked(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_stacked(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def normalize_stacks(self, ):
        """Autogenerated from C function:
           bool guppi_barchart_state_normalize_stacks(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_normalize_stacks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def edge_thickness(self, ):
        """Autogenerated from C function:
           double guppi_barchart_state_edge_thickness(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_edge_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def edge_color(self, ):
        """Autogenerated from C function:
           color guppi_barchart_state_edge_color(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_edge_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def default_color(self, ):
        """Autogenerated from C function:
           color guppi_barchart_state_default_color(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_default_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def vertical_bars(self, ):
        """Autogenerated from C function:
           bool guppi_barchart_state_vertical_bars(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_vertical_bars(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def horizontal_bars(self, ):
        """Autogenerated from C function:
           bool guppi_barchart_state_horizontal_bars(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_horizontal_bars(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bar_base(self, ):
        """Autogenerated from C function:
           double guppi_barchart_state_bar_base(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_bar_base(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def cluster_margin(self, ):
        """Autogenerated from C function:
           double guppi_barchart_state_cluster_margin(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_cluster_margin(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bar_margin(self, ):
        """Autogenerated from C function:
           double guppi_barchart_state_bar_margin(self, )"""
        
        _ret = _g_barchart.guppi_barchart_state_bar_margin(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_data(self, d):
        """Autogenerated from C function:
           none guppi_barchart_state_set_data(self, GuppiData d)"""
        d = getattr(d, '_o', d)
        _ret = _g_barchart.guppi_barchart_state_set_data(self._o, d)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_row_labels(self, d):
        """Autogenerated from C function:
           none guppi_barchart_state_set_row_labels(self, GuppiSeqString d)"""
        d = getattr(d, '_o', d)
        _ret = _g_barchart.guppi_barchart_state_set_row_labels(self._o, d)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_column_labels(self, d):
        """Autogenerated from C function:
           none guppi_barchart_state_set_column_labels(self, GuppiSeqString d)"""
        d = getattr(d, '_o', d)
        _ret = _g_barchart.guppi_barchart_state_set_column_labels(self._o, d)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_column_styles(self, d):
        """Autogenerated from C function:
           none guppi_barchart_state_set_column_styles(self, GuppiSeqStyle d)"""
        d = getattr(d, '_o', d)
        _ret = _g_barchart.guppi_barchart_state_set_column_styles(self._o, d)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_stacked(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_stacked(self, bool x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_stacked(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_normalize_stacks(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_normalize_stacks(self, bool x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_normalize_stacks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_edge_thickness(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_edge_thickness(self, double x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_edge_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_edge_color(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_edge_color(self, color x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_edge_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_default_color(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_default_color(self, color x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_default_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_vertical_bars(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_vertical_bars(self, bool x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_vertical_bars(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_horizontal_bars(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_horizontal_bars(self, bool x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_horizontal_bars(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_bar_base(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_bar_base(self, double x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_bar_base(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_cluster_margin(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_cluster_margin(self, double x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_cluster_margin(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_bar_margin(self, x):
        """Autogenerated from C function:
           none guppi_barchart_state_set_bar_margin(self, double x)"""
        
        _ret = _g_barchart.guppi_barchart_state_set_bar_margin(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def barchart_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_barchart_state_new()"""
    _ret = _g_barchart.guppi_barchart_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_boxplot = LazyPluginModule('_g_boxplot', 'plot', 'boxplot')

class GuppiBoxplotState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_boxplot.guppi_boxplot_state_new()
        
    def horizontal(self, ):
        """Autogenerated from C function:
           bool guppi_boxplot_state_horizontal(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_horizontal(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def vertical(self, ):
        """Autogenerated from C function:
           bool guppi_boxplot_state_vertical(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_vertical(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def iqr_factor(self, ):
        """Autogenerated from C function:
           double guppi_boxplot_state_iqr_factor(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_iqr_factor(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_color(self, ):
        """Autogenerated from C function:
           color guppi_boxplot_state_frame_color(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_frame_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def line_thickness(self, ):
        """Autogenerated from C function:
           double guppi_boxplot_state_line_thickness(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_line_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def fill_box(self, ):
        """Autogenerated from C function:
           bool guppi_boxplot_state_fill_box(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_fill_box(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def box_color(self, ):
        """Autogenerated from C function:
           color guppi_boxplot_state_box_color(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_box_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def box_size(self, ):
        """Autogenerated from C function:
           double guppi_boxplot_state_box_size(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_box_size(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def tick_size(self, ):
        """Autogenerated from C function:
           double guppi_boxplot_state_tick_size(self, )"""
        
        _ret = _g_boxplot.guppi_boxplot_state_tick_size(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_horizontal(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_horizontal(self, bool x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_horizontal(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_vertical(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_vertical(self, bool x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_vertical(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_iqr_factor(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_iqr_factor(self, double x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_iqr_factor(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_color(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_frame_color(self, color x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_frame_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_fill_box(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_fill_box(self, bool x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_fill_box(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_box_color(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_box_color(self, color x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_box_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_box_size(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_box_size(self, double x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_box_size(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_tick_size(self, x):
        """Autogenerated from C function:
           none guppi_boxplot_state_set_tick_size(self, double x)"""
        
        _ret = _g_boxplot.guppi_boxplot_state_set_tick_size(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiBoxplotView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        


def boxplot_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_boxplot_state_new()"""
    _ret = _g_boxplot.guppi_boxplot_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_frame = LazyPluginModule('_g_frame', 'plot', 'frame')

class GuppiFrameView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiFrameState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_frame.guppi_frame_state_new()
        
    def show_major_ticks(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_show_major_ticks(self, )"""
        
        _ret = _g_frame.guppi_frame_state_show_major_ticks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_tick_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_major_tick_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_major_tick_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_tick_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_major_tick_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_major_tick_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_tick_length(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_major_tick_length(self, )"""
        
        _ret = _g_frame.guppi_frame_state_major_tick_length(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_minor_ticks(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_show_minor_ticks(self, )"""
        
        _ret = _g_frame.guppi_frame_state_show_minor_ticks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_tick_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_minor_tick_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_minor_tick_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_tick_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_minor_tick_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_minor_tick_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_tick_length(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_minor_tick_length(self, )"""
        
        _ret = _g_frame.guppi_frame_state_minor_tick_length(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_micro_ticks(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_show_micro_ticks(self, )"""
        
        _ret = _g_frame.guppi_frame_state_show_micro_ticks(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_tick_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_micro_tick_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_micro_tick_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_tick_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_micro_tick_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_micro_tick_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_tick_length(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_micro_tick_length(self, )"""
        
        _ret = _g_frame.guppi_frame_state_micro_tick_length(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_major_rules(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_show_major_rules(self, )"""
        
        _ret = _g_frame.guppi_frame_state_show_major_rules(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_rule_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_major_rule_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_major_rule_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def major_rule_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_major_rule_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_major_rule_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_minor_rules(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_show_minor_rules(self, )"""
        
        _ret = _g_frame.guppi_frame_state_show_minor_rules(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_rule_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_minor_rule_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_minor_rule_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def minor_rule_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_minor_rule_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_minor_rule_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_micro_rules(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_show_micro_rules(self, )"""
        
        _ret = _g_frame.guppi_frame_state_show_micro_rules(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_rule_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_micro_rule_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_micro_rule_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def micro_rule_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_micro_rule_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_micro_rule_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_north(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_frame_north(self, )"""
        
        _ret = _g_frame.guppi_frame_state_frame_north(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_south(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_frame_south(self, )"""
        
        _ret = _g_frame.guppi_frame_state_frame_south(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_east(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_frame_east(self, )"""
        
        _ret = _g_frame.guppi_frame_state_frame_east(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_west(self, ):
        """Autogenerated from C function:
           bool guppi_frame_state_frame_west(self, )"""
        
        _ret = _g_frame.guppi_frame_state_frame_west(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_color(self, ):
        """Autogenerated from C function:
           color guppi_frame_state_frame_color(self, )"""
        
        _ret = _g_frame.guppi_frame_state_frame_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frame_thickness(self, ):
        """Autogenerated from C function:
           double guppi_frame_state_frame_thickness(self, )"""
        
        _ret = _g_frame.guppi_frame_state_frame_thickness(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_major_ticks(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_show_major_ticks(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_show_major_ticks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_tick_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_major_tick_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_major_tick_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_tick_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_major_tick_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_major_tick_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_tick_length(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_major_tick_length(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_major_tick_length(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_minor_ticks(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_show_minor_ticks(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_show_minor_ticks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_tick_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_minor_tick_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_minor_tick_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_tick_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_minor_tick_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_minor_tick_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_tick_length(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_minor_tick_length(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_minor_tick_length(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_micro_ticks(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_show_micro_ticks(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_show_micro_ticks(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_tick_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_micro_tick_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_micro_tick_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_tick_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_micro_tick_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_micro_tick_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_tick_length(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_micro_tick_length(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_micro_tick_length(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_major_rules(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_show_major_rules(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_show_major_rules(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_rule_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_major_rule_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_major_rule_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_major_rule_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_major_rule_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_major_rule_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_minor_rules(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_show_minor_rules(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_show_minor_rules(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_rule_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_minor_rule_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_minor_rule_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_minor_rule_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_minor_rule_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_minor_rule_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_micro_rules(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_show_micro_rules(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_show_micro_rules(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_rule_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_micro_rule_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_micro_rule_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_micro_rule_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_micro_rule_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_micro_rule_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_north(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_frame_north(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_frame_north(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_south(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_frame_south(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_frame_south(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_east(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_frame_east(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_frame_east(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_west(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_frame_west(self, bool x)"""
        
        _ret = _g_frame.guppi_frame_state_set_frame_west(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_color(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_frame_color(self, color x)"""
        
        _ret = _g_frame.guppi_frame_state_set_frame_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_frame_thickness(self, x):
        """Autogenerated from C function:
           none guppi_frame_state_set_frame_thickness(self, double x)"""
        
        _ret = _g_frame.guppi_frame_state_set_frame_thickness(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def frame_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_frame_state_new()"""
    _ret = _g_frame.guppi_frame_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_legend = LazyPluginModule('_g_legend', 'plot', 'legend')

class GuppiLegendView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiLegendState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_legend.guppi_legend_state_new()
        


def legend_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_legend_state_new()"""
    _ret = _g_legend.guppi_legend_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_linegraph = LazyPluginModule('_g_linegraph', 'plot', 'linegraph')

class GuppiLinegraphState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_linegraph.guppi_linegraph_state_new()
        
    def data(self, ):
        """Autogenerated from C function:
           GuppiData guppi_linegraph_state_data(self, )"""
        
        _ret = _g_linegraph.guppi_linegraph_state_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def x_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_linegraph_state_x_data(self, )"""
        
        _ret = _g_linegraph.guppi_linegraph_state_x_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def y_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_linegraph_state_y_data(self, )"""
        
        _ret = _g_linegraph.guppi_linegraph_state_y_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def width(self, ):
        """Autogenerated from C function:
           double guppi_linegraph_state_width(self, )"""
        
        _ret = _g_linegraph.guppi_linegraph_state_width(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def color(self, ):
        """Autogenerated from C function:
           color guppi_linegraph_state_color(self, )"""
        
        _ret = _g_linegraph.guppi_linegraph_state_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_data(self, sd):
        """Autogenerated from C function:
           none guppi_linegraph_state_set_data(self, GuppiData sd)"""
        sd = getattr(sd, '_o', sd)
        _ret = _g_linegraph.guppi_linegraph_state_set_data(self._o, sd)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_x_data(self, sd):
        """Autogenerated from C function:
           none guppi_linegraph_state_set_x_data(self, GuppiSeqScalar sd)"""
        sd = getattr(sd, '_o', sd)
        _ret = _g_linegraph.guppi_linegraph_state_set_x_data(self._o, sd)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_y_data(self, sd):
        """Autogenerated from C function:
           none guppi_linegraph_state_set_y_data(self, GuppiSeqScalar sd)"""
        sd = getattr(sd, '_o', sd)
        _ret = _g_linegraph.guppi_linegraph_state_set_y_data(self._o, sd)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_width(self, w):
        """Autogenerated from C function:
           none guppi_linegraph_state_set_width(self, double w)"""
        
        _ret = _g_linegraph.guppi_linegraph_state_set_width(self._o, w)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_color(self, c):
        """Autogenerated from C function:
           none guppi_linegraph_state_set_color(self, color c)"""
        
        _ret = _g_linegraph.guppi_linegraph_state_set_color(self._o, c)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiLinegraphView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        


def linegraph_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_linegraph_state_new()"""
    _ret = _g_linegraph.guppi_linegraph_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_pie = LazyPluginModule('_g_pie', 'plot', 'pie')

class GuppiPieState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_pie.guppi_pie_state_new()
        
    def data(self, ):
        """Autogenerated from C function:
           GuppiData guppi_pie_state_data(self, )"""
        
        _ret = _g_pie.guppi_pie_state_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def labels(self, ):
        """Autogenerated from C function:
           GuppiData guppi_pie_state_labels(self, )"""
        
        _ret = _g_pie.guppi_pie_state_labels(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def styles(self, ):
        """Autogenerated from C function:
           GuppiSeqStyle guppi_pie_state_styles(self, )"""
        
        _ret = _g_pie.guppi_pie_state_styles(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def radius(self, ):
        """Autogenerated from C function:
           double guppi_pie_state_radius(self, )"""
        
        _ret = _g_pie.guppi_pie_state_radius(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def radius_lock(self, ):
        """Autogenerated from C function:
           bool guppi_pie_state_radius_lock(self, )"""
        
        _ret = _g_pie.guppi_pie_state_radius_lock(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def radius_maximize(self, ):
        """Autogenerated from C function:
           bool guppi_pie_state_radius_maximize(self, )"""
        
        _ret = _g_pie.guppi_pie_state_radius_maximize(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def edge_width(self, ):
        """Autogenerated from C function:
           double guppi_pie_state_edge_width(self, )"""
        
        _ret = _g_pie.guppi_pie_state_edge_width(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def base_offset(self, ):
        """Autogenerated from C function:
           double guppi_pie_state_base_offset(self, )"""
        
        _ret = _g_pie.guppi_pie_state_base_offset(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def base_angle(self, ):
        """Autogenerated from C function:
           double guppi_pie_state_base_angle(self, )"""
        
        _ret = _g_pie.guppi_pie_state_base_angle(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def default_slice_color(self, ):
        """Autogenerated from C function:
           color guppi_pie_state_default_slice_color(self, )"""
        
        _ret = _g_pie.guppi_pie_state_default_slice_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def edge_color(self, ):
        """Autogenerated from C function:
           color guppi_pie_state_edge_color(self, )"""
        
        _ret = _g_pie.guppi_pie_state_edge_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_percentages(self, ):
        """Autogenerated from C function:
           bool guppi_pie_state_show_percentages(self, )"""
        
        _ret = _g_pie.guppi_pie_state_show_percentages(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def label_color(self, ):
        """Autogenerated from C function:
           color guppi_pie_state_label_color(self, )"""
        
        _ret = _g_pie.guppi_pie_state_label_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_data(self, data):
        """Autogenerated from C function:
           none guppi_pie_state_set_data(self, GuppiData data)"""
        data = getattr(data, '_o', data)
        _ret = _g_pie.guppi_pie_state_set_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_labels(self, label_data):
        """Autogenerated from C function:
           none guppi_pie_state_set_labels(self, GuppiData label_data)"""
        label_data = getattr(label_data, '_o', label_data)
        _ret = _g_pie.guppi_pie_state_set_labels(self._o, label_data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_styles(self, style_data):
        """Autogenerated from C function:
           none guppi_pie_state_set_styles(self, GuppiSeqStyle style_data)"""
        style_data = getattr(style_data, '_o', style_data)
        _ret = _g_pie.guppi_pie_state_set_styles(self._o, style_data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_radius(self, r):
        """Autogenerated from C function:
           none guppi_pie_state_set_radius(self, double r)"""
        
        _ret = _g_pie.guppi_pie_state_set_radius(self._o, r)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_radius_lock(self, x):
        """Autogenerated from C function:
           none guppi_pie_state_set_radius_lock(self, bool x)"""
        
        _ret = _g_pie.guppi_pie_state_set_radius_lock(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_radius_maximize(self, x):
        """Autogenerated from C function:
           none guppi_pie_state_set_radius_maximize(self, bool x)"""
        
        _ret = _g_pie.guppi_pie_state_set_radius_maximize(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_edge_width(self, w):
        """Autogenerated from C function:
           none guppi_pie_state_set_edge_width(self, double w)"""
        
        _ret = _g_pie.guppi_pie_state_set_edge_width(self._o, w)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_base_offset(self, offset):
        """Autogenerated from C function:
           none guppi_pie_state_set_base_offset(self, double offset)"""
        
        _ret = _g_pie.guppi_pie_state_set_base_offset(self._o, offset)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_base_angle(self, theta):
        """Autogenerated from C function:
           none guppi_pie_state_set_base_angle(self, double theta)"""
        
        _ret = _g_pie.guppi_pie_state_set_base_angle(self._o, theta)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_default_slice_color(self, c):
        """Autogenerated from C function:
           none guppi_pie_state_set_default_slice_color(self, color c)"""
        
        _ret = _g_pie.guppi_pie_state_set_default_slice_color(self._o, c)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_edge_color(self, c):
        """Autogenerated from C function:
           none guppi_pie_state_set_edge_color(self, color c)"""
        
        _ret = _g_pie.guppi_pie_state_set_edge_color(self._o, c)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_percentages(self, x):
        """Autogenerated from C function:
           none guppi_pie_state_set_show_percentages(self, double x)"""
        
        _ret = _g_pie.guppi_pie_state_set_show_percentages(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_label_color(self, c):
        """Autogenerated from C function:
           none guppi_pie_state_set_label_color(self, color c)"""
        
        _ret = _g_pie.guppi_pie_state_set_label_color(self._o, c)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slice_color(self, slice_num):
        """Autogenerated from C function:
           color guppi_pie_state_slice_color(self, int slice_num)"""
        
        _ret = _g_pie.guppi_pie_state_slice_color(self._o, slice_num)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slice_offset(self, slice_num):
        """Autogenerated from C function:
           double guppi_pie_state_slice_offset(self, int slice_num)"""
        
        _ret = _g_pie.guppi_pie_state_slice_offset(self._o, slice_num)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_slice_offset(self, slice_num, x):
        """Autogenerated from C function:
           none guppi_pie_state_set_slice_offset(self, int slice_num, double x)"""
        
        _ret = _g_pie.guppi_pie_state_set_slice_offset(self._o, slice_num, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiPieView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        


def pie_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_pie_state_new()"""
    _ret = _g_pie.guppi_pie_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_pricebars = LazyPluginModule('_g_pricebars', 'plot', 'pricebars')

class GuppiPricebarsView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiPricebarsState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_pricebars.guppi_pricebars_state_new()
        
    def set_data(self, ser):
        """Autogenerated from C function:
           none guppi_pricebars_state_set_data(self, GuppiPriceSeries ser)"""
        ser = getattr(ser, '_o', ser)
        _ret = _g_pricebars.guppi_pricebars_state_set_data(self._o, ser)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def pricebars_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_pricebars_state_new()"""
    _ret = _g_pricebars.guppi_pricebars_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_slinreg = LazyPluginModule('_g_slinreg', 'plot', 'slinreg')

class GuppiSlinregView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiSlinregState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_slinreg.guppi_slinreg_state_new()
        
    def x_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_slinreg_state_x_data(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_x_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def y_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_slinreg_state_y_data(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_y_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def line_width(self, ):
        """Autogenerated from C function:
           double guppi_slinreg_state_line_width(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_line_width(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def line_color(self, ):
        """Autogenerated from C function:
           color guppi_slinreg_state_line_color(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_line_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def show_label(self, ):
        """Autogenerated from C function:
           bool guppi_slinreg_state_show_label(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_show_label(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def label_size(self, ):
        """Autogenerated from C function:
           double guppi_slinreg_state_label_size(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_label_size(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def label_color(self, ):
        """Autogenerated from C function:
           color guppi_slinreg_state_label_color(self, )"""
        
        _ret = _g_slinreg.guppi_slinreg_state_label_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_x_data(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_x_data(self, GuppiSeqScalar x)"""
        x = getattr(x, '_o', x)
        _ret = _g_slinreg.guppi_slinreg_state_set_x_data(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_y_data(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_y_data(self, GuppiSeqScalar x)"""
        x = getattr(x, '_o', x)
        _ret = _g_slinreg.guppi_slinreg_state_set_y_data(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_line_width(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_line_width(self, double x)"""
        
        _ret = _g_slinreg.guppi_slinreg_state_set_line_width(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_line_color(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_line_color(self, color x)"""
        
        _ret = _g_slinreg.guppi_slinreg_state_set_line_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_show_label(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_show_label(self, bool x)"""
        
        _ret = _g_slinreg.guppi_slinreg_state_set_show_label(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_label_size(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_label_size(self, double x)"""
        
        _ret = _g_slinreg.guppi_slinreg_state_set_label_size(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_label_color(self, x):
        """Autogenerated from C function:
           none guppi_slinreg_state_set_label_color(self, color x)"""
        
        _ret = _g_slinreg.guppi_slinreg_state_set_label_color(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def slinreg_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_slinreg_state_new()"""
    _ret = _g_slinreg.guppi_slinreg_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_scatter = LazyPluginModule('_g_scatter', 'plot', 'scatter')

class GuppiScatterView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiScatterState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_scatter.guppi_scatter_state_new()
        
    def x_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_scatter_state_x_data(self, )"""
        
        _ret = _g_scatter.guppi_scatter_state_x_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def y_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_scatter_state_y_data(self, )"""
        
        _ret = _g_scatter.guppi_scatter_state_y_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def style_data(self, ):
        """Autogenerated from C function:
           GuppiSeqInteger guppi_scatter_state_style_data(self, )"""
        
        _ret = _g_scatter.guppi_scatter_state_style_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def color_gradient_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_scatter_state_color_gradient_data(self, )"""
        
        _ret = _g_scatter.guppi_scatter_state_color_gradient_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def size1_gradient_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_scatter_state_size1_gradient_data(self, )"""
        
        _ret = _g_scatter.guppi_scatter_state_size1_gradient_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def size2_gradient_data(self, ):
        """Autogenerated from C function:
           GuppiSeqScalar guppi_scatter_state_size2_gradient_data(self, )"""
        
        _ret = _g_scatter.guppi_scatter_state_size2_gradient_data(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_x_data(self, data):
        """Autogenerated from C function:
           none guppi_scatter_state_set_x_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_scatter.guppi_scatter_state_set_x_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_y_data(self, data):
        """Autogenerated from C function:
           none guppi_scatter_state_set_y_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_scatter.guppi_scatter_state_set_y_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_style_data(self, data):
        """Autogenerated from C function:
           none guppi_scatter_state_set_style_data(self, GuppiSeqInteger data)"""
        data = getattr(data, '_o', data)
        _ret = _g_scatter.guppi_scatter_state_set_style_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_color_gradient_data(self, data):
        """Autogenerated from C function:
           none guppi_scatter_state_set_color_gradient_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_scatter.guppi_scatter_state_set_color_gradient_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_size1_gradient_data(self, data):
        """Autogenerated from C function:
           none guppi_scatter_state_set_size1_gradient_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_scatter.guppi_scatter_state_set_size1_gradient_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_size2_gradient_data(self, data):
        """Autogenerated from C function:
           none guppi_scatter_state_set_size2_gradient_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_scatter.guppi_scatter_state_set_size2_gradient_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_style(self, i):
        """Autogenerated from C function:
           GuppiScatterStyle guppi_scatter_state_get_style(self, int i)"""
        
        _ret = _g_scatter.guppi_scatter_state_get_style(self._o, i)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiScatterStyle(GuppiStyle):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_scatter.guppi_scatter_style_new()
        
    def allow_style_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_allow_style_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_allow_style_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def reverse_style_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_reverse_style_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_reverse_style_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def gradient_style(self, ):
        """Autogenerated from C function:
           GuppiStyle guppi_scatter_style_gradient_style(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_gradient_style(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def allow_color_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_allow_color_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_allow_color_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def reverse_color_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_reverse_color_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_reverse_color_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def color_gradient(self, ):
        """Autogenerated from C function:
           GuppiColorGradient guppi_scatter_style_color_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_color_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def allow_size1_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_allow_size1_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_allow_size1_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def reverse_size1_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_reverse_size1_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_reverse_size1_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def size1_gradient_range(self, ):
        """Autogenerated from C function:
           double guppi_scatter_style_size1_gradient_range(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_size1_gradient_range(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def allow_size2_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_allow_size2_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_allow_size2_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def reverse_size2_gradient(self, ):
        """Autogenerated from C function:
           bool guppi_scatter_style_reverse_size2_gradient(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_reverse_size2_gradient(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def size2_gradient_range(self, ):
        """Autogenerated from C function:
           double guppi_scatter_style_size2_gradient_range(self, )"""
        
        _ret = _g_scatter.guppi_scatter_style_size2_gradient_range(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_allow_style_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_allow_style_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_allow_style_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_reverse_style_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_reverse_style_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_reverse_style_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_gradient_style(self, grad_style):
        """Autogenerated from C function:
           none guppi_scatter_style_set_gradient_style(self, GuppiStyle grad_style)"""
        grad_style = getattr(grad_style, '_o', grad_style)
        _ret = _g_scatter.guppi_scatter_style_set_gradient_style(self._o, grad_style)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_allow_color_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_allow_color_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_allow_color_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_reverse_color_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_reverse_color_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_reverse_color_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_color_gradient(self, cg):
        """Autogenerated from C function:
           none guppi_scatter_style_set_color_gradient(self, GuppiColorGradient cg)"""
        cg = getattr(cg, '_o', cg)
        _ret = _g_scatter.guppi_scatter_style_set_color_gradient(self._o, cg)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_allow_size1_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_allow_size1_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_allow_size1_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_reverse_size1_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_reverse_size1_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_reverse_size1_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_size1_gradient_range(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_size1_gradient_range(self, double x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_size1_gradient_range(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_allow_size2_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_allow_size2_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_allow_size2_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_reverse_size2_gradient(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_reverse_size2_gradient(self, bool x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_reverse_size2_gradient(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_size2_gradient_range(self, x):
        """Autogenerated from C function:
           none guppi_scatter_style_set_size2_gradient_range(self, double x)"""
        
        _ret = _g_scatter.guppi_scatter_style_set_size2_gradient_range(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def scatter_style_stock(i):
    """Autogenerated from C function:
       GuppiScatterStyle guppi_scatter_style_stock(int i)"""
    _ret = _g_scatter.guppi_scatter_style_stock(i)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_xybox = LazyPluginModule('_g_xybox', 'plot', 'xybox')

class GuppiXYBoxView(GuppiGroupView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiXYBoxState(GuppiGroupState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_xybox.guppi_xybox_state_new()
        


def xybox_state_new():
    """Autogenerated from C function:
       GuppiXYBoxState guppi_xybox_state_new()"""
    _ret = _g_xybox.guppi_xybox_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_text = LazyPluginModule('_g_text', 'plot', 'text')

class GuppiTextState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_text.guppi_text_state_new()
        
    def text(self, ):
        """Autogenerated from C function:
           const_string guppi_text_state_text(self, )"""
        
        _ret = _g_text.guppi_text_state_text(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def color(self, ):
        """Autogenerated from C function:
           color guppi_text_state_color(self, )"""
        
        _ret = _g_text.guppi_text_state_color(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def rot_angle(self, ):
        """Autogenerated from C function:
           double guppi_text_state_rot_angle(self, )"""
        
        _ret = _g_text.guppi_text_state_rot_angle(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def font_size(self, ):
        """Autogenerated from C function:
           double guppi_text_state_font_size(self, )"""
        
        _ret = _g_text.guppi_text_state_font_size(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def filled(self, ):
        """Autogenerated from C function:
           bool guppi_text_state_filled(self, )"""
        
        _ret = _g_text.guppi_text_state_filled(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def outline(self, ):
        """Autogenerated from C function:
           bool guppi_text_state_outline(self, )"""
        
        _ret = _g_text.guppi_text_state_outline(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def outline_width(self, ):
        """Autogenerated from C function:
           double guppi_text_state_outline_width(self, )"""
        
        _ret = _g_text.guppi_text_state_outline_width(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_text(self, str):
        """Autogenerated from C function:
           none guppi_text_state_set_text(self, string str)"""
        
        _ret = _g_text.guppi_text_state_set_text(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_color(self, col):
        """Autogenerated from C function:
           none guppi_text_state_set_color(self, color col)"""
        
        _ret = _g_text.guppi_text_state_set_color(self._o, col)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_rot_angle(self, angle):
        """Autogenerated from C function:
           none guppi_text_state_set_rot_angle(self, double angle)"""
        
        _ret = _g_text.guppi_text_state_set_rot_angle(self._o, angle)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_font_size(self, size):
        """Autogenerated from C function:
           none guppi_text_state_set_font_size(self, double size)"""
        
        _ret = _g_text.guppi_text_state_set_font_size(self._o, size)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_filled(self, x):
        """Autogenerated from C function:
           none guppi_text_state_set_filled(self, bool x)"""
        
        _ret = _g_text.guppi_text_state_set_filled(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_outline(self, x):
        """Autogenerated from C function:
           none guppi_text_state_set_outline(self, bool x)"""
        
        _ret = _g_text.guppi_text_state_set_outline(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_outline_width(self, w):
        """Autogenerated from C function:
           none guppi_text_state_set_outline_width(self, double w)"""
        
        _ret = _g_text.guppi_text_state_set_outline_width(self._o, w)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiTextView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        


def text_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_text_state_new()"""
    _ret = _g_text.guppi_text_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_name2cls = {}
_supported = map(lambda x: eval(x), filter(lambda x: x[:5] == 'Guppi', dir()))
_m = None
for _m in _supported:
    _name2cls[_m.__name__] = _m
del _m
_guppi.register_classes(_name2cls)
def _obj2inst(obj):
        objname = _guppi.type_name(obj)
        if _guppi.classes.has_key(objname):
                return _guppi.classes[objname](_obj=obj)
        else: return obj
